[P057]Check Monitor Project Status

get
https://connect.patsnap.com/patent-alert/check
Try in Sandbox

Check monitor project status.

Weekly query and monthly query are recommended to call the API in advance to obtain updated data to prevent affecting the push function,the updated data is from the last query time to the current time.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
alert_id
Required
string7f22ee78764149b481314b1fa60dca0c
monitor project ID

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
type
stringnew
monitor project type
count
integer<int64>1
patents
alert_name
stringIntelligent bud company monitoring
Name of Monitoring Project
patent_ids
array[ "f052da16-1d93-46a6-9174-b653c69fd884" ]
patent ID
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "type": "new",
      "count": 1,
      "alert_name": "智慧芽公司监控",
      "patent_ids": [
        "f052da16-1d93-46a6-9174-b653c69fd884"
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success